#include "..\script_component.hpp"

/*
 * Author: IDSolutions
 * Selects AI for dialogue
 *
 * Arguments:
 * 0: _units - Array of AI units <ARRAY>
 *
 * Return Value:
 * None
 *
 * Example:
 * [units group player] call FUNC(selectAI);
 *
 * Public: No
 */

params [["_units", [], [[]]]];

{
	_x disableAI "ALL";
	_x switchMove " ";
	[_x] call FUNC(selectDialogue);
	true
} count (_units);