#include "..\script_component.hpp"

/*
 * Function: forge_client_dialogue_fnc_selectDialogue
 * Author: IDSolutions
 *
 * Description:
 * Selects dialogue for AI
 *
 * Arguments:
 * 0: _units - Array of AI units <ARRAY>
 * 1: _dialogue - Array of dialogue <ARRAY>
 *
 * Return Value:
 * None
 */

params [["_units", [], [[]]], ["_dialogue", [], [[]]]];

{
	_x params ["_topic", "_sentence"];
	[_topic, _sentence, nil, false, nil, [_units], 1, false] spawn BFUNC(kbTell);
	true
} count (_dialogue);