#include "..\script_component.hpp"

/*
 * Author: IDSolutions
 * Gets the current system time in a formatted string
 *
 * Arguments:
 * None
 *
 * Return Value:
 * Formatted System Time <STRING>
 *
 * Example:
 * [] call forge_client_misc_fnc_getSystemTime;
 *
 * Public: Yes
 */

private _timestamp = systemTimeUTC apply { if (_x < 10) then { "0" + str _x } else { str _x }};
private _dateTime = format ["%1-%2-%3_%4:%5:%6.%7", _timestamp#0, _timestamp#1, _timestamp#2, _timestamp#3, _timestamp#4, _timestamp#5, _timestamp#6];

_dateTime