#include "..\script_component.hpp"

/*
 * Author: IDSolutions
 * Adds an email to the email list
 *
 * Arguments:
 * 0: Email <STRING> - The email to add
 *
 * Return Value:
 * None
 *
 * Example:
 * ["Hello World"] call forge_client_phone_fnc_addEmail;
 *
 * Public: Yes
 */

if (_this isEqualTo [""]) exitWith {};

private _tmp = call compile format ["%1", _this];
if ((typeName _tmp) isEqualTo "SCALAR") exitWith {};

GVAR(email) = _this;