#include "..\script_component.hpp"

/*
 * Author: IDSolutions
 * Handle cash picked up
 *
 * Arguments:
 * 0: Target <OBJECT>
 *
 * Return Value:
 * N/A
 *
 * Examples:
 * [cursorObject] spawn forge_client_money_fnc_takeCash;
 *
 * Public: Yes
 */

params ["_ct"];

// private _amount = _ct getVariable ["FORGE_Cash", 0];
private _amount = GETVAR(_ct,FORGE_Cash,0);

["advance", "Cash", _amount] call forge_server_money_fnc_handleMoney;

// _ct setVariable ["FORGE_Cash", nil, true];
SETPVAR(_ct,FORGE_Cash,nil);
deleteVehicle _ct;