#include "..\script_component.hpp"

/*
 * Author: IDSolutions
 * Adds an email to the offline email list
 *
 * Arguments:
 * 0: Email <STRING> - The email to add
 *
 * Return Value:
 * None
 *
 * Example:
 * ["test@test.com"] call forge_client_phone_fnc_addOfflineEmail;
 *
 * Public: Yes
 */

if (_this isEqualTo [""]) exitWith {};

private _tmp = call compile format ["%1", _this];
if ((typeName _tmp) isEqualTo "SCALAR") exitWith {};

GVAR(email) = _this;

["You got an email while away.", "cyan", 3] call EFUNC(misc,notify);