#include "..\script_component.hpp"

/*
 * Author: IDSolutions
 * Adds a message to the offline message list
 *
 * Arguments:
 * 0: Message <STRING> - The message to add
 *
 * Return Value:
 * None
 *
 * Example:
 * ["Hello World"] call forge_client_phone_fnc_addOfflineMsg;
 *
 * Public: Yes
 */

if (_this isEqualTo [""]) exitWith {};

private _tmp = call compile format ["%1", _this];
if ((typeName _tmp) isEqualTo "SCALAR") exitWith {};

GVAR(messages) = _this;

["You got a message while away.", "green", 3] call EFUNC(misc,notify);