#include "..\script_component.hpp"

/*
 * Author: IDSolutions
 * Adds a new message to the message list
 *
 * Arguments:
 * 0: Number <STRING> - The number to add
 *
 * Return Value:
 * None
 *
 * Example:
 * ["1234567890"] call forge_client_phone_fnc_newMsg;
 *
 * Public: Yes
 */

_number = (_this select 0);
{
	if (_number == (_x select 1)) then {
		_number = (_x select 0);
	};
} forEach GVAR(addressbook);

[format ["You got a new message from %1.", _number], "green", 3] call EFUNC(misc,notify);

playSound "FORGE_newMsg";

uiSleep 1;

// [player getVariable ["FORGE_Phone_Number", "unknown"], player, "forge_client_phone_fnc_addMsg", true] remoteExec ["db_fnc_listload", 2, false];
// ["listrng", player getVariable ["FORGE_Phone_Number", "unknown"], "", -1, [], "forge_client_phone_fnc_addMsg", true] spawn dragonfly_db_fnc_addTask;
["listrng", player getVariable ["FORGE_Phone_Number", "unknown"], "", -1, [], "forge_client_phone_fnc_addMsg", true, netId player] remoteExec ["dragonfly_db_fnc_addTask", 2, false];